local L = LibStub("AceLocale-3.0"):GetLocale("Expeller", false)

Expeller.lookup = {
    [L['Jewelcrafting']]    = L['Prospecting'],
    [L['Inscription']]      = L['Milling'],
    [L['Enchanting']]       = L['Disenchant'],
}

Expeller.craft_skill = {
    [L['Jewelcrafting']]    = nil,
    [L['Inscription']]      = nil,
    [L['Enchanting']]       = nil,
}

Expeller.item_db = {
    [L['Enchanting']]    = {
        -- No items need to be listed.
    },
    [L['Jewelcrafting']] = {
        [2770] = 1,     -- Copper Ore
        [2771] = 50,    -- Tin Ore
        [2772] = 125,   -- Iron Ore
        [3858] = 175,   -- Mithril Ore
        [10620] = 250,  -- Thorium Ore
        [23424] = 275,  -- Fel Iron Ore
        [23425] = 325,  -- Adamantite Ore
        [36912] = 400,  -- Saronite Ore
        [36909] = 350,  -- Cobalt Ore
        [36910] = 450,  -- Titanium Ore
    },
    [L['Inscription']] = {
        [785]   = 1,    -- Mageroyal
        [765]   = 1,    -- Silverleaf
        [2449]  = 1,    -- Earthroot
        [2447]  = 1,    -- Peacebloom
        [3820]  = 25,   -- Stranglekelp
        [2453]  = 25,   -- Bruiseweed
        [2452]  = 25,   -- Swiftthistle
        [2450]  = 25,   -- Briarthorn
        [3356]  = 75,   -- Kingsblood
        [3369]  = 75,   -- Grave Moss
        [3355]  = 75,   -- Wild Steelbloom
        [3357]  = 75,   -- Liferoot
        [3819]  = 125,  -- Wintersbite
        [3818]  = 125,  -- Fadeleaf
        [3358]  = 125,  -- Khadgar's Whisker
        [3821]  = 125,  -- Goldthorn
        [8831]  = 175,  -- Purple Lotus
        [8846]  = 175,  -- Gromsblood
        [8839]  = 175,  -- Blindweed
        [8836]  = 175,  -- Arthas' Tears
        [4625]  = 175,  -- Firebloom
        [8838]  = 175,  -- Sungrass
        [8845]  = 175,  -- Ghost Mushroom
        [13467] = 225,  -- Icecap
        [13463] = 225,  -- Dreamfoil
        [13466] = 225,  -- Plaguebloom
        [13464] = 225,  -- Golden Sansam
        [13465] = 225,  -- Mountain Silversage
        [22789] = 275,  -- Terocone
        [22790] = 275,  -- Ancient Lichen
        [22792] = 275,  -- Nightmare Vine
        [22785] = 275,  -- Felweed
        [22786] = 275,  -- Dreaming Glory
        [22791] = 275,  -- Netherbloom
        [22793] = 275,  -- Mana Thistle
        [22787] = 275,  -- Ragveil
        [22788] = 275,  -- Flame Cap
        [37921] = 325,  -- Deadnettle
        [39970] = 325,  -- Fire Leaf
        [36901] = 325,  -- Goldclover
        [36907] = 325,  -- Talandra's Rose
        [36904] = 325,  -- Tiger Lily
        [36902] = 325,  -- Constrictor Grass
        [36903] = 325,  -- Adder's Tongue
        [36906] = 325,  -- Icethorn
        [36905] = 325,  -- Lichbloom
    }
}
